// packageI/dealer_task_reward/dealerTaskRewardRecord/dealerTaskRewardRecord.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    goods_list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if(options.goods_id && options.task_id){
      this.getListData(options.goods_id,options.task_id);
    }
   
  },

  getListData(goods_id, task_id ){
    let urlStr = app.getNetAddresss("plugin.dealer-task-reward.frontend.controllers.detail.index");
    app._getNetWork({
      url: urlStr,
      data: {goods_id, task_id },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);

        this.setData({
          goods_list: res.data.goods_list
        });
        wx.setNavigationBarTitle({
          title: res.data.plugin_name,
        });
       
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});